下載 (Download)

下載 Boostrap 以獲得編譯好的 CSS 和 JavaScript、原始程式碼或將其加入到您喜好的 npm、RubyGems 軟體套件管理系統中。

六角學院 六角學院

六角學院的 Bootstrap 課程上線囉,立即與萬人一同學習最專業、最深入的 Bootstrap 課程。

立即上課去 前端轉職經歷分享

Bootstrap CSS 和 JS

下載編譯完成可立即運用的 Bootstrap 4.1.1 加入到你的專案,這些包含了:

  • 編譯好及壓縮後的 CSS 包 (看看 檔案比較)
  • 編譯好及壓縮的 JavaScript 套件

這些不包含文件、原始檔案、或任何選用的 JavaScript 相依套件 (jQuery 及 Popper.js)

下載 Bootstrap

原始檔案

透過下載我們的 Sass、JavaScript 原始碼及文檔文件,使用自訂的方式編譯 Bootstrap,這些需要一些額外的工具:

  • 編譯您的 CSS 的 Sass 編譯器(Libsass 或 Ruby Sass)。
  • Autoprefixer,用於 CSS 的前綴

如果您需要 編譯工具,那麼它們被用於開發 Bootstrap 及文檔, 但可能不適合您自己的目的。

Download 原始碼

BootstrapCDN

跳過下載並使用 BootstrapCDN 將 Boostrap 的 CSS 和 JS 加到你的專案中。

<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB" crossorigin="anonymous">
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js" integrity="sha384-smHYKdLADwkXOn1EmN1qk/HfnUcbVRZyYmZ4qpPea6sjB/pTJ0euyQp0Mk8ck+5T" crossorigin="anonymous"></script>

如果你使用我們編譯的 JavaScript,別忘了加入 jQuery 和 Popper.js 在這之前。

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>

套件管理工具

用受歡迎的套件管理工具將 Bootstrap 的 原始檔 拉入幾乎任何專案中。不論用的套件管理工具為何,Bootstrap 將需要一個 Sass 編譯器Autoprefixer、以及postcss-flexbugs-fixes 以便獲得與我們的官方編譯版本一致的設置

npm

npm 將 Bootstrap 安裝到基於 Node.js 的應用程式中

npm install bootstrap

require('bootstrap') 會將全部的 Bootstrap jQuery 外掛程式載入到 jQuery 物件。Bootstrap 模組本身匯出任何資訊。你可以透過頂層目錄下的 /js/*.js 檔案,手動將 Boostrap 的 jQuery 外掛程式獨立載入。

Bootstrap 的 package.json 包含了如下追加的中繼資料:

  • sass - 前往 Bootstrap Sass 原始檔案的路徑。
  • style - 前往使用預設設置預先編譯的 Bootstrap 未壓縮 CSS 的路徑。

RubyGems

通過向你的 Gemfile 增加如下的命令列,使用 Bundler推薦)和 RubyGems 將 Bootstrap 安裝到你的 Ruby 應用程式中:

gem 'bootstrap', '~> 4.1.1'

另外,若您沒有使用 Bundler,你可以通過如下的命令:

gem install bootstrap -v 4.1.1

參見 gem 的 README,以瞭解進一步的細節。

Composer

你還可以使用 Composer 安裝和管理 Bootstrap 的 Sass 和 JavaScript:

composer require twbs/bootstrap:4.1.1

NuGet

若你在 .NET 中進行開發,你還可以使用 NuGet 安裝和管理 Bootstrap 的 CSSSass 和 JavaScript:

Install-Package bootstrap
Install-Package bootstrap.sass